---
# drone encrypt weko/sisa-urfe_fr $AWS_ACCESS_KEY_ID
kind: secret
name: STAGING_AWS_ACCESS_KEY_ID
data: Fj/s8kHdQ4V4YQJLqHNCdtIuPeTXQvRhcqZdJhD+fqvstpHxlARinrp2aB0pzRPmbG27u+Gp

---
# drone encrypt weko/jarnat $AWS_SECRET_ACCESS_KEY
kind: secret
name: STAGING_AWS_SECRET_ACCESS_KEY
data: cZ9+WkF1Q70ckB8ruLEcsKxeTw/sw33D7lMtpmTVjnojcLqUoOHx1arTzjtTSMrs7qXXOm6/xgqAcRqh1RPCRfW1RdVdeGHE84MQyTaU0ob+frzH8lNxCH+VMF0=

# ---
# kind: pipeline
# type: docker
# name: production

# platform:
#   os: linux
#   arch: arm64

# steps:
#   - name: build
#     image: klakegg/hugo:0.101.0-ext-debian-ci
#     commands:
#       - hugo --minify --environment production
#   - name: deploy
#     image: klakegg/hugo:0.101.0-ext-debian-ci
#     commands:
#       - hugo deploy --environment production

---
kind: pipeline
type: docker
name: staging

platform:
  os: linux
  arch: arm64

steps:
  - name: build
    image: klakegg/hugo:0.101.0-ext-debian-ci
    commands:
      - hugo --minify --buildDrafts --buildFuture --environment staging
  - name: deploy
    image: klakegg/hugo:0.101.0-ext-debian-ci
    environment:
      AWS_ACCESS_KEY_ID:
        from_secret: STAGING_AWS_ACCESS_KEY_ID
      AWS_SECRET_ACCESS_KEY:
        from_secret: STAGING_AWS_SECRET_ACCESS_KEY
    commands:
      - hugo deploy --environment staging
